
import os
import logging
from datetime import date
import urllib.request
import pandas as pd
from utils import read_config

today = date.today()
today = today.strftime("%d_%m_%Y")

logging.basicConfig(filename=("logs/download_" + today +".log"), level=logging.INFO, format='%(asctime)s %(levelname)s:%(message)s', datefmt='%Y-%m-%d %H:%M:%S')


def download_url(url, output_path, path):
    urllib.request.urlretrieve(url, filename=output_path)

def execute():
    config = read_config('files_list_nonvida.csv')
    download(config)
    
def download(config):
    for file in config:
        url = file['xml_link']
        name = file['entry_name']
        path = 'download/feed_'+name+'.xml'
        print(f"{path} {url}")
        try:    
            download_url(url, 'download/newfeed.xml', path)
            if(os.path.isfile(path)):
                os.remove(path)
            os.rename("download/newfeed.xml", path)
        except Exception as e:
            print(f'error while downloading {name} from {url}')
            print(e)
        url = file['xml_link_es']
        name = file['entry_name']
        path = 'download/feed_'+name+'_es.xml'
        print(f"{path} {url}")
        try:    
            download_url(url, 'download/newfeed.xml', path)
            if(os.path.isfile(path)):
                os.remove(path)
            os.rename("download/newfeed.xml", path)
        except Exception as e:
            print(f'error while downloading {name} from {url}')
            print(e)

if __name__ == "__main__":
    execute()